Main Page Namespace List Class Hierarchy Compound List File List Namespace Members Compound Members

# query.h File Reference

Defines a class for building and executing SQL queries. More...

`#include "defs.h"`
`#include "lockable.h"`
`#include "noexceptions.h"`
`#include "qparms.h"`
`#include "querydef.h"`
`#include "result.h"`
`#include "row.h"`
`#include "sql_string.h"`
`#include <mysql.h>`
`#include <deque>`
`#include <iomanip>`
`#include <list>`
`#include <map>`
`#include <set>`
`#include <sstream>`
`#include <vector>`

Include dependency graph for query.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | mysqlpp

## Detailed Description

Defines a class for building and executing SQL queries.